# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-01-28 21:37
from __future__ import unicode_literals

import admin.helper
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('logistic', '0004_auto_20170927_0157'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='caminhao',
            name='linha',
        ),
        migrations.RemoveField(
            model_name='linha',
            name='pontos',
        ),
        migrations.RemoveField(
            model_name='ponto',
            name='data_hora',
        ),
        migrations.AddField(
            model_name='linha',
            name='caminhao',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='logistic.Caminhao'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='ponto',
            name='data',
            field=models.DateField(default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='ponto',
            name='hora',
            field=models.TimeField(default=django.utils.timezone.now),
        ),
        migrations.AddField(
            model_name='ponto',
            name='linha',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='logistic.Linha'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='caminhao',
            name='motorista',
        ),
        migrations.AddField(
            model_name='caminhao',
            name='motorista',
            field=models.ForeignKey(default=3, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='entreposto',
            name='cnpj',
            field=models.CharField(max_length=18, unique=True, validators=[admin.helper.validate_CNPJ]),
        ),
        migrations.AlterField(
            model_name='fazenda',
            name='cnpj',
            field=models.CharField(max_length=18, unique=True, validators=[admin.helper.validate_CNPJ]),
        ),
        migrations.AlterField(
            model_name='laticinio',
            name='cnpj',
            field=models.CharField(max_length=18, unique=True, validators=[admin.helper.validate_CNPJ]),
        ),
    ]
